module.exports = [
  {
    "formats": [],
    "datasetDOI": [],
    "activity": [
      {
        "protocols": [],
        "preparation": [
          "Ex vivo"
        ]
      }
    ],
    "referenceSpaces": [],
    "methods": [
      "Patch clamp techniques",
      "Voltage clamp recording",
      "Single electrode recording",
      "Knockin"
    ],
    "custodians": [
      "Cherubini, Enrico"
    ],
    "project": [
      "STDP"
    ],
    "description": "Spike-time dependent plasticity (STDP is a particular form of Hebbian type of learning which consists in bidirectional modifications of synaptic strength according to the temporal order of pre- and postsynaptic spiking (*Dan Y1, Poo MM (2006) Spike timing-dependent plasticity: from synapse to perception. Physiol Rev 86:1033-1048*). Thus, positively correlated pre- and postsynaptic spiking (pre before post) within a critical window leads to long term potentiation (LTP), whereas a negative correlation (post before pre) leads to long term depression (LTD).  \nAt the neonatal stage, the hippocampal mossy fiber (MF)-CA3 is GABAergic and exhibits STDP. Our data demonstrate that, at the same age, positive pairing fails to induce STD-LTP at MF-CA3 synapses in hippocampal slices obtained from neuroligin-3 (NL3) knock-in (NL3<sup>R451C</sup> KI) and NL3 knock-out (KO) mice. Similarly, in NLR<sup>451C</sup> KI mice, negative pairing failed to cause STD-LTD. In contrast, STD-LTP and STD-LTD can be readily produced in control age-matched WT littermates. In NLR<sup>451C</sup> KI  mice, the impairment in STD-LTP is maintained in adulthood when MF are glutamatergic. This set of data refers to the neonate, NLR<sup>451C</sup> KI, positive pairing condition.",
    "parcellationAtlas": [
      {
        "name": "Allen Mouse Common Coordinate Framework v3 2015",
        "fullId": "https://nexus.humanbrainproject.org/v0/data/minds/core/parcellationatlas/v1.0.0/39a1384b-8413-4d27-af8d-22432225401f",
        "id": "39a1384b-8413-4d27-af8d-22432225401f"
      }
    ],
    "licenseInfo": [
      {
        "name": "Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International",
        "url": "https://creativecommons.org/licenses/by-nc-sa/4.0/"
      }
    ],
    "embargoStatus": [
      "Embargoed"
    ],
    "license": [
      {
        "name": "Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International",
        "relativeUrl": "minds/core/licensetype/v1.0.0/88e71f2d-4fcc-4cb1-bc9f-cbab9ab2058b"
      }
    ],
    "parcellationRegion": [
      {
        "species": [
          {
            "identifier": [
              "899694120d41aab8054900b51d369ef8",
              "e07b81dd7bbdf2727f6df2f4013ed025"
            ],
            "name": "Mus musculus",
            "@id": "https://nexus.humanbrainproject.org/v0/data/minds/core/species/v1.0.0/cfc1656c-67d1-4d2c-a17e-efd7ce0df88c"
          }
        ],
        "name": "Mouse Hippocampal region (v3 2015)",
        "alias": "Hippocampal region",
        "fullId": "https://nexus.humanbrainproject.org/v0/data/minds/core/parcellationregion/v1.0.0/fc429031-1632-49a4-b9c6-00ab72100c85"
      }
    ],
    "species": [
      "Mus musculus"
    ],
    "name": "Spike time dependent plasticity (STDP) data from neonate neuroligin-3 knock-in mice, positive pairing",
    "files": [],
    "fullId": "https://nexus.humanbrainproject.org/v0/data/minds/core/dataset/v1.0.0/88e4e64e-b053-48b3-828b-306e386621e0",
    "contributors": [
      "Cherubini, Enrico",
      "Sgritta, Martina",
      "Marchetti, Cristina"
    ],
    "id": "1a6cbd0b55a13e7b8775d3417281a83f",
    "kgReference": [
      "10.25493/PF1P-YSE"
    ],
    "publications": []
  }
]